package com.yeejoin.amos.patrol.core.common.response;

import java.util.Date;
import java.util.List;

public class RoutePointRespone {
	
	private Long id;
	
	private String pointNo;
	
	private Long pointId;
	
	private String pointName;
	
	private int orderNo;
	
	private String routeId;
	
	private String classifyName;

	private Date createDate;

	private List<PointClassifysRespone> pointClassifyList;
	
	private List<PointInputItemRespone> routePointItem;

	public List<PointInputItemRespone> getRoutePointItem() {
		return routePointItem;
	}

	public void setRoutePointItem(List<PointInputItemRespone> routePointItem) {
		this.routePointItem = routePointItem;
	}

	public Date getCreateDate() {
		return createDate;
	}

	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}

	public String getPointNo() {
		return pointNo;
	}

	public void setPointNo(String pointNo) {
		this.pointNo = pointNo;
	}

	public Long getPointId() {
		return pointId;
	}

	public void setPointId(Long pointId) {
		this.pointId = pointId;
	}

	public String getPointName() {
		return pointName;
	}

	public void setPointName(String pointName) {
		this.pointName = pointName;
	}

	public int getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(int orderNo) {
		this.orderNo = orderNo;
	}

	public String getRouteId() {
		return routeId;
	}

	public void setRouteId(String routeId) {
		this.routeId = routeId;
	}

	public String getClassifyName() {
		return classifyName;
	}

	public void setClassifyName(String classifyName) {
		this.classifyName = classifyName;
	}


	public List<PointClassifysRespone> getPointClassifyList() {
		return pointClassifyList;
	}

	public void setPointClassifyList(List<PointClassifysRespone> pointClassifyList) {
		this.pointClassifyList = pointClassifyList;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}
}
